Bug 561856 (CVE-2010-0416) - CVE-2010-0416 HelixPlayer / RealPlayer: URL unescape buffer overflow
Summary: CVE-2010-0416 HelixPlayer / RealPlayer: URL unescape buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0416
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: CVE-2009-0375, CVE-2009-0376, CVE-2009-4241, CVE-2009-4244, CVE-2009-4246
TreeView+ depends on / blocked
 
Reported: 2010-02-04 14:38 UTC by Tomas Hoger
Modified: 2019-09-29 12:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 11:07:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0094 normal SHIPPED_LIVE Critical: HelixPlayer security update 2010-02-09 10:14:30 UTC

Description Tomas Hoger 2010-02-04 14:38:20 UTC
A possible buffer overflow flaw was found in the RealPlayer's / HelixPlayer's function performing URL unescaping (HTTP %-escapes unescaping, e.g. %20 -> space):

http://lists.helixcommunity.org/pipermail/common-cvs/2007-July/014956.html
https://helixcommunity.org/viewcvs/common/util/hxurl.cpp?view=log#rev1.24.4.1.4.1

Function always assumed % character was always followed by at least two extra hex characters.  If no or only one character followed, unescaping function failed to properly detect the end of the URL string (test is done by comparing character on the current position with '\0') and continued processing content of the memory after the end of URL buffer until first '\0' was found.  Depending on the content of that memory area, this could lead to buffer over-read or over-write.

Same function exists in player/hxclientkit/src/CHXClientSink.cpp too.

Comment 2 errata-xmlrpc 2010-02-09 10:16:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0094 https://rhn.redhat.com/errata/RHSA-2010-0094.html


Note You need to log in before you can comment on or make changes to this bug.